#!/bin/sh

FLAG=`cat /home/anton/public_html/banjar/netfilter.flag`
if [ $FLAG = "1" ]; then

TC=/sbin/tc
IPTABLES=/sbin/iptables
SYSCTL=/sbin/sysctl

# root

$TC qdisc del dev eth0 root 2>/dev/null
$TC qdisc add dev eth0 root handle 1 htb default 0 r2q 1

$TC class add dev eth0 parent 1: classid 1: htb rate 0Kbit

# main buckets

# Package International: Group A 128 1:8
$TC class add dev eth0 parent 1: classid 1: htb rate 125Kbit
$TC qdisc add dev eth0 parent 1: handle  sfq perturb 10
$TC filter add dev eth0 parent 1:0 protocol ip prio 202 handle  fw classid 1:

# Package International: Group B 128 1:4
$TC class add dev eth0 parent 1: classid 1: htb rate 125Kbit
$TC qdisc add dev eth0 parent 1: handle  sfq perturb 10
$TC filter add dev eth0 parent 1:0 protocol ip prio 202 handle  fw classid 1:

# Package IIX: Group A 128 1:8
$TC class add dev eth0 parent 1: classid 1:601 htb rate 125Kbit ceil 0Kbit
$TC qdisc add dev eth0 parent 1:601 handle 601 sfq perturb 10
$TC filter add dev eth0 parent 1:0 protocol ip prio 202 handle 601 fw classid 1:601

# Package IIX: Group B 128 1:4
$TC class add dev eth0 parent 1: classid 1:602 htb rate 125Kbit ceil 0Kbit
$TC qdisc add dev eth0 parent 1:602 handle 602 sfq perturb 10
$TC filter add dev eth0 parent 1:0 protocol ip prio 202 handle 602 fw classid 1:602


# Package International: Group A 128 1:8
# MARK: 101

# Pak Rusmanto
$TC class add dev eth0 parent 1:101 classid 1:1001 htb rate 31Kbit ceil 125Kbit
$TC qdisc add dev eth0 parent 1:1001 handle 1001 sfq perturb 10
$TC filter add dev eth0 parent 1:0 protocol ip prio 2 handle 1001 fw classid 1:1001

# Pak I Made Wiryana
$TC class add dev eth0 parent 1:101 classid 1:1002 htb rate 15Kbit ceil 125Kbit
$TC qdisc add dev eth0 parent 1:1002 handle 1002 sfq perturb 10
$TC filter add dev eth0 parent 1:0 protocol ip prio 2 handle 1002 fw classid 1:1002

# KPLI Bekasi
$TC class add dev eth0 parent 1:101 classid 1:1006 htb rate 15Kbit ceil 125Kbit
$TC qdisc add dev eth0 parent 1:1006 handle 1006 sfq perturb 10
$TC filter add dev eth0 parent 1:0 protocol ip prio 5 handle 1006 fw classid 1:1006


# Package International: Group B 128 1:4
# MARK: 102

# Pak Onno W. Purbo
$TC class add dev eth0 parent 1:102 classid 1:1003 htb rate 31Kbit ceil 125Kbit
$TC qdisc add dev eth0 parent 1:1003 handle 1003 sfq perturb 10
$TC filter add dev eth0 parent 1:0 protocol ip prio 2 handle 1003 fw classid 1:1003

# Pak RW 007
$TC class add dev eth0 parent 1:102 classid 1:1004 htb rate 31Kbit ceil 125Kbit
$TC qdisc add dev eth0 parent 1:1004 handle 1004 sfq perturb 10
$TC filter add dev eth0 parent 1:0 protocol ip prio 2 handle 1004 fw classid 1:1004

# SMUN 61 Jakarta
$TC class add dev eth0 parent 1:102 classid 1:1005 htb rate 62Kbit ceil 125Kbit
$TC qdisc add dev eth0 parent 1:1005 handle 1005 sfq perturb 10
$TC filter add dev eth0 parent 1:0 protocol ip prio 2 handle 1005 fw classid 1:1005


# Package IIX: Group A 128 1:8
# MARK: 601

# Pak Rusmanto
$TC class add dev eth0 parent 1:601 classid 1:6001 htb rate 31Kbit ceil 1966Kbit
$TC qdisc add dev eth0 parent 1:6001 handle 6001 sfq perturb 10
$TC filter add dev eth0 parent 1:0 protocol ip prio 2 handle 6001 fw classid 1:6001

# Pak I Made Wiryana
$TC class add dev eth0 parent 1:601 classid 1:6002 htb rate 15Kbit ceil 1966Kbit
$TC qdisc add dev eth0 parent 1:6002 handle 6002 sfq perturb 10
$TC filter add dev eth0 parent 1:0 protocol ip prio 2 handle 6002 fw classid 1:6002

# KPLI Bekasi
$TC class add dev eth0 parent 1:601 classid 1:6006 htb rate 15Kbit ceil 1966Kbit
$TC qdisc add dev eth0 parent 1:6006 handle 6006 sfq perturb 10
$TC filter add dev eth0 parent 1:0 protocol ip prio 5 handle 6006 fw classid 1:6006


# Package IIX: Group B 128 1:4
# MARK: 602

# Pak Onno W. Purbo
$TC class add dev eth0 parent 1:602 classid 1:6003 htb rate 31Kbit ceil 1966Kbit
$TC qdisc add dev eth0 parent 1:6003 handle 6003 sfq perturb 10
$TC filter add dev eth0 parent 1:0 protocol ip prio 2 handle 6003 fw classid 1:6003

# Pak RW 007
$TC class add dev eth0 parent 1:602 classid 1:6004 htb rate 31Kbit ceil 1966Kbit
$TC qdisc add dev eth0 parent 1:6004 handle 6004 sfq perturb 10
$TC filter add dev eth0 parent 1:0 protocol ip prio 2 handle 6004 fw classid 1:6004

# SMUN 61 Jakarta
$TC class add dev eth0 parent 1:602 classid 1:6005 htb rate 62Kbit ceil 1966Kbit
$TC qdisc add dev eth0 parent 1:6005 handle 6005 sfq perturb 10
$TC filter add dev eth0 parent 1:0 protocol ip prio 2 handle 6005 fw classid 1:6005



# root

$TC qdisc del dev eth1 root 2>/dev/null
$TC qdisc add dev eth1 root handle 1 htb default 0 r2q 1

$TC class add dev eth1 parent 1: classid 1: htb rate 0Kbit

# main buckets

# Package International: Group A 128 1:8
$TC class add dev eth1 parent 1: classid 1:101 htb rate 125Kbit
$TC qdisc add dev eth1 parent 1:101 handle 101 sfq perturb 10
$TC filter add dev eth1 parent 1:0 protocol ip prio 202 handle 101 fw classid 1:101

# Package International: Group B 128 1:4
$TC class add dev eth1 parent 1: classid 1:102 htb rate 125Kbit
$TC qdisc add dev eth1 parent 1:102 handle 102 sfq perturb 10
$TC filter add dev eth1 parent 1:0 protocol ip prio 202 handle 102 fw classid 1:102

# Package IIX: Group A 128 1:8
$TC class add dev eth1 parent 1: classid 1:601 htb rate 125Kbit ceil 0Kbit
$TC qdisc add dev eth1 parent 1:601 handle 601 sfq perturb 10
$TC filter add dev eth1 parent 1:0 protocol ip prio 202 handle 601 fw classid 1:601

# Package IIX: Group B 128 1:4
$TC class add dev eth1 parent 1: classid 1:602 htb rate 125Kbit ceil 0Kbit
$TC qdisc add dev eth1 parent 1:602 handle 602 sfq perturb 10
$TC filter add dev eth1 parent 1:0 protocol ip prio 202 handle 602 fw classid 1:602


# Package International: Group A 128 1:8
# MARK: 101

# Pak Rusmanto
$TC class add dev eth1 parent 1:101 classid 1:1001 htb rate 31Kbit ceil 125Kbit
$TC qdisc add dev eth1 parent 1:1001 handle 1001 sfq perturb 10
$TC filter add dev eth1 parent 1:0 protocol ip prio 2 handle 1001 fw classid 1:1001

# Pak I Made Wiryana
$TC class add dev eth1 parent 1:101 classid 1:1002 htb rate 15Kbit ceil 125Kbit
$TC qdisc add dev eth1 parent 1:1002 handle 1002 sfq perturb 10
$TC filter add dev eth1 parent 1:0 protocol ip prio 2 handle 1002 fw classid 1:1002

# KPLI Bekasi
$TC class add dev eth1 parent 1:101 classid 1:1006 htb rate 15Kbit ceil 125Kbit
$TC qdisc add dev eth1 parent 1:1006 handle 1006 sfq perturb 10
$TC filter add dev eth1 parent 1:0 protocol ip prio 5 handle 1006 fw classid 1:1006


# Package International: Group B 128 1:4
# MARK: 102

# Pak Onno W. Purbo
$TC class add dev eth1 parent 1:102 classid 1:1003 htb rate 31Kbit ceil 125Kbit
$TC qdisc add dev eth1 parent 1:1003 handle 1003 sfq perturb 10
$TC filter add dev eth1 parent 1:0 protocol ip prio 2 handle 1003 fw classid 1:1003

# Pak RW 007
$TC class add dev eth1 parent 1:102 classid 1:1004 htb rate 31Kbit ceil 125Kbit
$TC qdisc add dev eth1 parent 1:1004 handle 1004 sfq perturb 10
$TC filter add dev eth1 parent 1:0 protocol ip prio 2 handle 1004 fw classid 1:1004

# SMUN 61 Jakarta
$TC class add dev eth1 parent 1:102 classid 1:1005 htb rate 62Kbit ceil 125Kbit
$TC qdisc add dev eth1 parent 1:1005 handle 1005 sfq perturb 10
$TC filter add dev eth1 parent 1:0 protocol ip prio 2 handle 1005 fw classid 1:1005


# Package IIX: Group A 128 1:8
# MARK: 601

# Pak Rusmanto
$TC class add dev eth1 parent 1:601 classid 1:6001 htb rate 31Kbit ceil 1966Kbit
$TC qdisc add dev eth1 parent 1:6001 handle 6001 sfq perturb 10
$TC filter add dev eth1 parent 1:0 protocol ip prio 2 handle 6001 fw classid 1:6001

# Pak I Made Wiryana
$TC class add dev eth1 parent 1:601 classid 1:6002 htb rate 15Kbit ceil 1966Kbit
$TC qdisc add dev eth1 parent 1:6002 handle 6002 sfq perturb 10
$TC filter add dev eth1 parent 1:0 protocol ip prio 2 handle 6002 fw classid 1:6002

# KPLI Bekasi
$TC class add dev eth1 parent 1:601 classid 1:6006 htb rate 15Kbit ceil 1966Kbit
$TC qdisc add dev eth1 parent 1:6006 handle 6006 sfq perturb 10
$TC filter add dev eth1 parent 1:0 protocol ip prio 5 handle 6006 fw classid 1:6006


# Package IIX: Group B 128 1:4
# MARK: 602

# Pak Onno W. Purbo
$TC class add dev eth1 parent 1:602 classid 1:6003 htb rate 31Kbit ceil 1966Kbit
$TC qdisc add dev eth1 parent 1:6003 handle 6003 sfq perturb 10
$TC filter add dev eth1 parent 1:0 protocol ip prio 2 handle 6003 fw classid 1:6003

# Pak RW 007
$TC class add dev eth1 parent 1:602 classid 1:6004 htb rate 31Kbit ceil 1966Kbit
$TC qdisc add dev eth1 parent 1:6004 handle 6004 sfq perturb 10
$TC filter add dev eth1 parent 1:0 protocol ip prio 2 handle 6004 fw classid 1:6004

# SMUN 61 Jakarta
$TC class add dev eth1 parent 1:602 classid 1:6005 htb rate 62Kbit ceil 1966Kbit
$TC qdisc add dev eth1 parent 1:6005 handle 6005 sfq perturb 10
$TC filter add dev eth1 parent 1:0 protocol ip prio 2 handle 6005 fw classid 1:6005



# sysctl

# Kernel Parameter Configuration
#
# See http://ipsysctl-tutorial.frozentux.net/chunkyhtml/index.html
# for a detailed tutorial on sysctl and the various settings
# available.

# Required to enable IPv4 forwarding.
# Redhat users can try setting FORWARD_IPV4 in /etc/sysconfig/network to true
# Alternatively, it can be set in /etc/sysctl.conf
$SYSCTL -w net.ipv4.ip_forward="1"

# This enables dynamic address hacking.
# This may help if you have a dynamic IP address \(e.g. slip, ppp, dhcp\).
#$SYSCTL -w net.ipv4.ip_dynaddr="1"

# This enables SYN flood protection.
# The SYN cookies activation allows your system to accept an unlimited
# number of TCP connections while still trying to give reasonable
# service during a denial of service attack.
$SYSCTL -w net.ipv4.tcp_syncookies="1"

# This enables source validation by reversed path according to RFC1812.
# In other words, did the response packet originate from the same interface
# through which the source packet was sent?  It's recommended for single-homed
# systems and routers on stub networks.  Since those are the configurations
# this firewall is designed to support, I turn it on by default.
# Turn it off if you use multiple NICs connected to the same network.
$SYSCTL -w net.ipv4.conf.all.rp_filter="0"
if [ -e /proc/sys/net/ipv4/conf/all/rp_filter ] 
then 
    for f in /proc/sys/net/ipv4/conf/*/rp_filter 
    do 
	echo 0 > $f 
    done 
fi

# Increase the binding time
echo 120 > /proc/sys/net/ipv4/netfilter/ip_conntrack_udp_timeout

# Setting up IP spoofing protection 
# This option allows a subnet to be firewalled with a single IP address.
# It's used to build a DMZ.  Since that's not a focus of this firewall
# script, it's not enabled by default, but is included for reference.
# See: http://www.sjdjweis.com/linux/proxyarp/ 
$SYSCTL -w net.ipv4.conf.all.proxy_arp="1"

# The following kernel settings were suggested by Alex Weeks. Thanks!

# This kernel parameter instructs the kernel to ignore all ICMP
# echo requests sent to the broadcast address.  This prevents
# a number of smurfs and similar DoS nasty attacks.
$SYSCTL -w net.ipv4.icmp_echo_ignore_broadcasts="1"
$SYSCTL -w net.ipv4.icmp_ignore_bogus_error_responses="1"

# This option can be used to accept or refuse source routed
# packets.  It is usually on by default, but is generally
# considered a security risk.  This option turns it off.
$SYSCTL -w net.ipv4.conf.all.accept_source_route="0"

# This option can disable ICMP redirects.  ICMP redirects
# are generally considered a security risk and shouldn't be
# needed by most systems using this generator.
$SYSCTL -w net.ipv4.conf.all.accept_redirects="0"

# However, we'll ensure the secure_redirects option is on instead.
# This option accepts only from gateways in the default gateways list.
$SYSCTL -w net.ipv4.conf.all.secure_redirects="1"

# This option logs packets from impossible addresses. We dont want it.
$SYSCTL -w net.ipv4.conf.all.log_martians="0"

# clear iptables
$IPTABLES -t mangle -F
$IPTABLES -t filter -F
$IPTABLES -t nat -F

# masquerade

# SNAT or masquerade clients

# use SNAT
# this is just an example, network address value and SNAT target must be changed according to your network setup
# if you dont use this rule, or you dont provide NAT then you must mark below line as commented
$IPTABLES -t nat -A POSTROUTING -s 192.168.1.0/24 -j SNAT --to-source 123.123.123.123

# or MASQUERADE, pick one either SNAT or MASQUERADE
# $IPTABLES -t nat -A POSTROUTING -s 192.168.1.0/24 -j MASQUERADE

# Failsave (only enabled when problems occured)
# $IPTABLES -t nat -I POSTROUTING -j MASQUERADE
# firewall

# anti sql port scan
$IPTABLES -t filter -A FORWARD -p tcp --dport 66 -j DROP
$IPTABLES -t filter -A FORWARD -p udp --dport 66 -j DROP
$IPTABLES -t filter -A FORWARD -p tcp --dport 118 -j DROP
$IPTABLES -t filter -A FORWARD -p udp --dport 118 -j DROP
$IPTABLES -t filter -A FORWARD -p tcp --dport 150 -j DROP
$IPTABLES -t filter -A FORWARD -p udp --dport 150 -j DROP
$IPTABLES -t filter -A FORWARD -p tcp --dport 156 -j DROP
$IPTABLES -t filter -A FORWARD -p udp --dport 156 -j DROP
$IPTABLES -t filter -A FORWARD -p tcp --dport 1114 -j DROP
$IPTABLES -t filter -A FORWARD -p udp --dport 1114 -j DROP
$IPTABLES -t filter -A FORWARD -p tcp --dport 1433 -j DROP
$IPTABLES -t filter -A FORWARD -p udp --dport 1433 -j DROP
$IPTABLES -t filter -A FORWARD -p tcp --dport 1434 -j DROP
$IPTABLES -t filter -A FORWARD -p udp --dport 1434 -j DROP
$IPTABLES -t filter -A FORWARD -p tcp --dport 1498 -j DROP
$IPTABLES -t filter -A FORWARD -p udp --dport 1498 -j DROP
$IPTABLES -t filter -A FORWARD -p tcp --dport 1978 -j DROP
$IPTABLES -t filter -A FORWARD -p udp --dport 1978 -j DROP
$IPTABLES -t filter -A FORWARD -p tcp --dport 1979 -j DROP
$IPTABLES -t filter -A FORWARD -p udp --dport 1979 -j DROP
$IPTABLES -t filter -A FORWARD -p tcp --dport 3306 -j DROP
$IPTABLES -t filter -A FORWARD -p udp --dport 3306 -j DROP
$IPTABLES -t filter -A FORWARD -p tcp --dport 3352 -j DROP
$IPTABLES -t filter -A FORWARD -p udp --dport 3352 -j DROP
$IPTABLES -t filter -A FORWARD -p tcp --dport 5432 -j DROP
$IPTABLES -t filter -A FORWARD -p udp --dport 5432 -j DROP

# anti-worms
$IPTABLES -t filter -A FORWARD -p icmp -m length --length 92 -j DROP

# reject invalid states
$IPTABLES -A INPUT -m state --state INVALID -j REJECT

# accept valid states for established connections (responses to outgoing requests, mostly)
$IPTABLES -A INPUT -m state --state ESTABLISHED,RELATED -j ACCEPT

# allow pings of 100 bytes or less
$IPTABLES -A INPUT -p icmp --icmp-type echo-request -m length --length :100 -j ACCEPT
$IPTABLES -A INPUT -p icmp --icmp-type echo-request -j DROP
# upload

# Package International: Group A 128 1:8
# MARK: 101

# Pak Rusmanto
$IPTABLES -t mangle -A POSTROUTING -o eth0 -p ! icmp -s 192.168.1.72 -j MARK --set-mark 1001

# Pak I Made Wiryana
$IPTABLES -t mangle -A POSTROUTING -o eth0 -p ! icmp -s 192.168.1.78 -j MARK --set-mark 1002

# KPLI Bekasi
$IPTABLES -t mangle -A POSTROUTING -o eth0 -p ! icmp -s 192.168.1.48/29 -j MARK --set-mark 1006


# Package International: Group B 128 1:4
# MARK: 102

# Pak Onno W. Purbo
$IPTABLES -t mangle -A POSTROUTING -o eth0 -p ! icmp -s 192.168.1.84 -j MARK --set-mark 1003

# Pak RW 007
$IPTABLES -t mangle -A POSTROUTING -o eth0 -p ! icmp -s 192.168.1.86 -j MARK --set-mark 1004

# SMUN 61 Jakarta
$IPTABLES -t mangle -A POSTROUTING -o eth0 -p ! icmp -s 192.168.1.56/29 -j MARK --set-mark 1005


# Package IIX: Group A 128 1:8
# MARK: 601

# Pak Rusmanto
$IPTABLES -t mangle -A POSTROUTING -o eth0 -p ! icmp -d 124.81.0.0/16 -d 192.168.1.72 -j MARK --set-mark 6001
$IPTABLES -t mangle -A POSTROUTING -o eth0 -p ! icmp -d 152.118.24.0/24 -d 192.168.1.72 -j MARK --set-mark 6001
$IPTABLES -t mangle -A POSTROUTING -o eth0 -p ! icmp -d 202.0.0.0/8 -d 192.168.1.72 -j MARK --set-mark 6001
$IPTABLES -t mangle -A POSTROUTING -o eth0 -p ! icmp -d 203.0.0.0/8 -d 192.168.1.72 -j MARK --set-mark 6001
$IPTABLES -t mangle -A POSTROUTING -o eth0 -p ! icmp -d 205.248.0.0/16 -d 192.168.1.72 -j MARK --set-mark 6001
$IPTABLES -t mangle -A POSTROUTING -o eth0 -p ! icmp -d 206.73.0.0/16 -d 192.168.1.72 -j MARK --set-mark 6001
$IPTABLES -t mangle -A POSTROUTING -o eth0 -p ! icmp -d 206.182.0.0/16 -d 192.168.1.72 -j MARK --set-mark 6001
$IPTABLES -t mangle -A POSTROUTING -o eth0 -p ! icmp -d 207.83.0.0/16 -d 192.168.1.72 -j MARK --set-mark 6001
$IPTABLES -t mangle -A POSTROUTING -o eth0 -p ! icmp -d 207.117.0.0/16 -d 192.168.1.72 -j MARK --set-mark 6001
$IPTABLES -t mangle -A POSTROUTING -o eth0 -p ! icmp -d 207.209.0.0/16 -d 192.168.1.72 -j MARK --set-mark 6001
$IPTABLES -t mangle -A POSTROUTING -o eth0 -p ! icmp -d 208.99.0.0/16 -d 192.168.1.72 -j MARK --set-mark 6001
$IPTABLES -t mangle -A POSTROUTING -o eth0 -p ! icmp -d 209.93.0.0/16 -d 192.168.1.72 -j MARK --set-mark 6001
$IPTABLES -t mangle -A POSTROUTING -o eth0 -p ! icmp -d 210.23.0.0/16 -d 192.168.1.72 -j MARK --set-mark 6001
$IPTABLES -t mangle -A POSTROUTING -o eth0 -p ! icmp -d 210.57.0.0/16 -d 192.168.1.72 -j MARK --set-mark 6001
$IPTABLES -t mangle -A POSTROUTING -o eth0 -p ! icmp -d 210.210.0.0/16 -d 192.168.1.72 -j MARK --set-mark 6001
$IPTABLES -t mangle -A POSTROUTING -o eth0 -p ! icmp -d 212.165.0.0/16 -d 192.168.1.72 -j MARK --set-mark 6001
$IPTABLES -t mangle -A POSTROUTING -o eth0 -p ! icmp -d 218.100.0.0/16 -d 192.168.1.72 -j MARK --set-mark 6001
$IPTABLES -t mangle -A POSTROUTING -o eth0 -p ! icmp -d 219.83.0.0/16 -d 192.168.1.72 -j MARK --set-mark 6001
$IPTABLES -t mangle -A POSTROUTING -o eth0 -p ! icmp -d 221.132.0.0/16 -d 192.168.1.72 -j MARK --set-mark 6001
$IPTABLES -t mangle -A POSTROUTING -o eth0 -p ! icmp -d 222.124.0.0/16 -d 192.168.1.72 -j MARK --set-mark 6001
$IPTABLES -t mangle -A POSTROUTING -o eth0 -p ! icmp -d 222.229.0.0/16 -d 192.168.1.72 -j MARK --set-mark 6001
# Pak I Made Wiryana
$IPTABLES -t mangle -A POSTROUTING -o eth0 -p ! icmp -d 124.81.0.0/16 -d 192.168.1.78 -j MARK --set-mark 6002
$IPTABLES -t mangle -A POSTROUTING -o eth0 -p ! icmp -d 152.118.24.0/24 -d 192.168.1.78 -j MARK --set-mark 6002
$IPTABLES -t mangle -A POSTROUTING -o eth0 -p ! icmp -d 202.0.0.0/8 -d 192.168.1.78 -j MARK --set-mark 6002
$IPTABLES -t mangle -A POSTROUTING -o eth0 -p ! icmp -d 203.0.0.0/8 -d 192.168.1.78 -j MARK --set-mark 6002
$IPTABLES -t mangle -A POSTROUTING -o eth0 -p ! icmp -d 205.248.0.0/16 -d 192.168.1.78 -j MARK --set-mark 6002
$IPTABLES -t mangle -A POSTROUTING -o eth0 -p ! icmp -d 206.73.0.0/16 -d 192.168.1.78 -j MARK --set-mark 6002
$IPTABLES -t mangle -A POSTROUTING -o eth0 -p ! icmp -d 206.182.0.0/16 -d 192.168.1.78 -j MARK --set-mark 6002
$IPTABLES -t mangle -A POSTROUTING -o eth0 -p ! icmp -d 207.83.0.0/16 -d 192.168.1.78 -j MARK --set-mark 6002
$IPTABLES -t mangle -A POSTROUTING -o eth0 -p ! icmp -d 207.117.0.0/16 -d 192.168.1.78 -j MARK --set-mark 6002
$IPTABLES -t mangle -A POSTROUTING -o eth0 -p ! icmp -d 207.209.0.0/16 -d 192.168.1.78 -j MARK --set-mark 6002
$IPTABLES -t mangle -A POSTROUTING -o eth0 -p ! icmp -d 208.99.0.0/16 -d 192.168.1.78 -j MARK --set-mark 6002
$IPTABLES -t mangle -A POSTROUTING -o eth0 -p ! icmp -d 209.93.0.0/16 -d 192.168.1.78 -j MARK --set-mark 6002
$IPTABLES -t mangle -A POSTROUTING -o eth0 -p ! icmp -d 210.23.0.0/16 -d 192.168.1.78 -j MARK --set-mark 6002
$IPTABLES -t mangle -A POSTROUTING -o eth0 -p ! icmp -d 210.57.0.0/16 -d 192.168.1.78 -j MARK --set-mark 6002
$IPTABLES -t mangle -A POSTROUTING -o eth0 -p ! icmp -d 210.210.0.0/16 -d 192.168.1.78 -j MARK --set-mark 6002
$IPTABLES -t mangle -A POSTROUTING -o eth0 -p ! icmp -d 212.165.0.0/16 -d 192.168.1.78 -j MARK --set-mark 6002
$IPTABLES -t mangle -A POSTROUTING -o eth0 -p ! icmp -d 218.100.0.0/16 -d 192.168.1.78 -j MARK --set-mark 6002
$IPTABLES -t mangle -A POSTROUTING -o eth0 -p ! icmp -d 219.83.0.0/16 -d 192.168.1.78 -j MARK --set-mark 6002
$IPTABLES -t mangle -A POSTROUTING -o eth0 -p ! icmp -d 221.132.0.0/16 -d 192.168.1.78 -j MARK --set-mark 6002
$IPTABLES -t mangle -A POSTROUTING -o eth0 -p ! icmp -d 222.124.0.0/16 -d 192.168.1.78 -j MARK --set-mark 6002
$IPTABLES -t mangle -A POSTROUTING -o eth0 -p ! icmp -d 222.229.0.0/16 -d 192.168.1.78 -j MARK --set-mark 6002
# KPLI Bekasi
$IPTABLES -t mangle -A POSTROUTING -o eth0 -p ! icmp -d 124.81.0.0/16 -d 192.168.1.48/29 -j MARK --set-mark 6006
$IPTABLES -t mangle -A POSTROUTING -o eth0 -p ! icmp -d 152.118.24.0/24 -d 192.168.1.48/29 -j MARK --set-mark 6006
$IPTABLES -t mangle -A POSTROUTING -o eth0 -p ! icmp -d 202.0.0.0/8 -d 192.168.1.48/29 -j MARK --set-mark 6006
$IPTABLES -t mangle -A POSTROUTING -o eth0 -p ! icmp -d 203.0.0.0/8 -d 192.168.1.48/29 -j MARK --set-mark 6006
$IPTABLES -t mangle -A POSTROUTING -o eth0 -p ! icmp -d 205.248.0.0/16 -d 192.168.1.48/29 -j MARK --set-mark 6006
$IPTABLES -t mangle -A POSTROUTING -o eth0 -p ! icmp -d 206.73.0.0/16 -d 192.168.1.48/29 -j MARK --set-mark 6006
$IPTABLES -t mangle -A POSTROUTING -o eth0 -p ! icmp -d 206.182.0.0/16 -d 192.168.1.48/29 -j MARK --set-mark 6006
$IPTABLES -t mangle -A POSTROUTING -o eth0 -p ! icmp -d 207.83.0.0/16 -d 192.168.1.48/29 -j MARK --set-mark 6006
$IPTABLES -t mangle -A POSTROUTING -o eth0 -p ! icmp -d 207.117.0.0/16 -d 192.168.1.48/29 -j MARK --set-mark 6006
$IPTABLES -t mangle -A POSTROUTING -o eth0 -p ! icmp -d 207.209.0.0/16 -d 192.168.1.48/29 -j MARK --set-mark 6006
$IPTABLES -t mangle -A POSTROUTING -o eth0 -p ! icmp -d 208.99.0.0/16 -d 192.168.1.48/29 -j MARK --set-mark 6006
$IPTABLES -t mangle -A POSTROUTING -o eth0 -p ! icmp -d 209.93.0.0/16 -d 192.168.1.48/29 -j MARK --set-mark 6006
$IPTABLES -t mangle -A POSTROUTING -o eth0 -p ! icmp -d 210.23.0.0/16 -d 192.168.1.48/29 -j MARK --set-mark 6006
$IPTABLES -t mangle -A POSTROUTING -o eth0 -p ! icmp -d 210.57.0.0/16 -d 192.168.1.48/29 -j MARK --set-mark 6006
$IPTABLES -t mangle -A POSTROUTING -o eth0 -p ! icmp -d 210.210.0.0/16 -d 192.168.1.48/29 -j MARK --set-mark 6006
$IPTABLES -t mangle -A POSTROUTING -o eth0 -p ! icmp -d 212.165.0.0/16 -d 192.168.1.48/29 -j MARK --set-mark 6006
$IPTABLES -t mangle -A POSTROUTING -o eth0 -p ! icmp -d 218.100.0.0/16 -d 192.168.1.48/29 -j MARK --set-mark 6006
$IPTABLES -t mangle -A POSTROUTING -o eth0 -p ! icmp -d 219.83.0.0/16 -d 192.168.1.48/29 -j MARK --set-mark 6006
$IPTABLES -t mangle -A POSTROUTING -o eth0 -p ! icmp -d 221.132.0.0/16 -d 192.168.1.48/29 -j MARK --set-mark 6006
$IPTABLES -t mangle -A POSTROUTING -o eth0 -p ! icmp -d 222.124.0.0/16 -d 192.168.1.48/29 -j MARK --set-mark 6006
$IPTABLES -t mangle -A POSTROUTING -o eth0 -p ! icmp -d 222.229.0.0/16 -d 192.168.1.48/29 -j MARK --set-mark 6006

# Package IIX: Group B 128 1:4
# MARK: 602

# Pak Onno W. Purbo
$IPTABLES -t mangle -A POSTROUTING -o eth0 -p ! icmp -d 124.81.0.0/16 -d 192.168.1.84 -j MARK --set-mark 6003
$IPTABLES -t mangle -A POSTROUTING -o eth0 -p ! icmp -d 152.118.24.0/24 -d 192.168.1.84 -j MARK --set-mark 6003
$IPTABLES -t mangle -A POSTROUTING -o eth0 -p ! icmp -d 202.0.0.0/8 -d 192.168.1.84 -j MARK --set-mark 6003
$IPTABLES -t mangle -A POSTROUTING -o eth0 -p ! icmp -d 203.0.0.0/8 -d 192.168.1.84 -j MARK --set-mark 6003
$IPTABLES -t mangle -A POSTROUTING -o eth0 -p ! icmp -d 205.248.0.0/16 -d 192.168.1.84 -j MARK --set-mark 6003
$IPTABLES -t mangle -A POSTROUTING -o eth0 -p ! icmp -d 206.73.0.0/16 -d 192.168.1.84 -j MARK --set-mark 6003
$IPTABLES -t mangle -A POSTROUTING -o eth0 -p ! icmp -d 206.182.0.0/16 -d 192.168.1.84 -j MARK --set-mark 6003
$IPTABLES -t mangle -A POSTROUTING -o eth0 -p ! icmp -d 207.83.0.0/16 -d 192.168.1.84 -j MARK --set-mark 6003
$IPTABLES -t mangle -A POSTROUTING -o eth0 -p ! icmp -d 207.117.0.0/16 -d 192.168.1.84 -j MARK --set-mark 6003
$IPTABLES -t mangle -A POSTROUTING -o eth0 -p ! icmp -d 207.209.0.0/16 -d 192.168.1.84 -j MARK --set-mark 6003
$IPTABLES -t mangle -A POSTROUTING -o eth0 -p ! icmp -d 208.99.0.0/16 -d 192.168.1.84 -j MARK --set-mark 6003
$IPTABLES -t mangle -A POSTROUTING -o eth0 -p ! icmp -d 209.93.0.0/16 -d 192.168.1.84 -j MARK --set-mark 6003
$IPTABLES -t mangle -A POSTROUTING -o eth0 -p ! icmp -d 210.23.0.0/16 -d 192.168.1.84 -j MARK --set-mark 6003
$IPTABLES -t mangle -A POSTROUTING -o eth0 -p ! icmp -d 210.57.0.0/16 -d 192.168.1.84 -j MARK --set-mark 6003
$IPTABLES -t mangle -A POSTROUTING -o eth0 -p ! icmp -d 210.210.0.0/16 -d 192.168.1.84 -j MARK --set-mark 6003
$IPTABLES -t mangle -A POSTROUTING -o eth0 -p ! icmp -d 212.165.0.0/16 -d 192.168.1.84 -j MARK --set-mark 6003
$IPTABLES -t mangle -A POSTROUTING -o eth0 -p ! icmp -d 218.100.0.0/16 -d 192.168.1.84 -j MARK --set-mark 6003
$IPTABLES -t mangle -A POSTROUTING -o eth0 -p ! icmp -d 219.83.0.0/16 -d 192.168.1.84 -j MARK --set-mark 6003
$IPTABLES -t mangle -A POSTROUTING -o eth0 -p ! icmp -d 221.132.0.0/16 -d 192.168.1.84 -j MARK --set-mark 6003
$IPTABLES -t mangle -A POSTROUTING -o eth0 -p ! icmp -d 222.124.0.0/16 -d 192.168.1.84 -j MARK --set-mark 6003
$IPTABLES -t mangle -A POSTROUTING -o eth0 -p ! icmp -d 222.229.0.0/16 -d 192.168.1.84 -j MARK --set-mark 6003
# Pak RW 007
$IPTABLES -t mangle -A POSTROUTING -o eth0 -p ! icmp -d 124.81.0.0/16 -d 192.168.1.86 -j MARK --set-mark 6004
$IPTABLES -t mangle -A POSTROUTING -o eth0 -p ! icmp -d 152.118.24.0/24 -d 192.168.1.86 -j MARK --set-mark 6004
$IPTABLES -t mangle -A POSTROUTING -o eth0 -p ! icmp -d 202.0.0.0/8 -d 192.168.1.86 -j MARK --set-mark 6004
$IPTABLES -t mangle -A POSTROUTING -o eth0 -p ! icmp -d 203.0.0.0/8 -d 192.168.1.86 -j MARK --set-mark 6004
$IPTABLES -t mangle -A POSTROUTING -o eth0 -p ! icmp -d 205.248.0.0/16 -d 192.168.1.86 -j MARK --set-mark 6004
$IPTABLES -t mangle -A POSTROUTING -o eth0 -p ! icmp -d 206.73.0.0/16 -d 192.168.1.86 -j MARK --set-mark 6004
$IPTABLES -t mangle -A POSTROUTING -o eth0 -p ! icmp -d 206.182.0.0/16 -d 192.168.1.86 -j MARK --set-mark 6004
$IPTABLES -t mangle -A POSTROUTING -o eth0 -p ! icmp -d 207.83.0.0/16 -d 192.168.1.86 -j MARK --set-mark 6004
$IPTABLES -t mangle -A POSTROUTING -o eth0 -p ! icmp -d 207.117.0.0/16 -d 192.168.1.86 -j MARK --set-mark 6004
$IPTABLES -t mangle -A POSTROUTING -o eth0 -p ! icmp -d 207.209.0.0/16 -d 192.168.1.86 -j MARK --set-mark 6004
$IPTABLES -t mangle -A POSTROUTING -o eth0 -p ! icmp -d 208.99.0.0/16 -d 192.168.1.86 -j MARK --set-mark 6004
$IPTABLES -t mangle -A POSTROUTING -o eth0 -p ! icmp -d 209.93.0.0/16 -d 192.168.1.86 -j MARK --set-mark 6004
$IPTABLES -t mangle -A POSTROUTING -o eth0 -p ! icmp -d 210.23.0.0/16 -d 192.168.1.86 -j MARK --set-mark 6004
$IPTABLES -t mangle -A POSTROUTING -o eth0 -p ! icmp -d 210.57.0.0/16 -d 192.168.1.86 -j MARK --set-mark 6004
$IPTABLES -t mangle -A POSTROUTING -o eth0 -p ! icmp -d 210.210.0.0/16 -d 192.168.1.86 -j MARK --set-mark 6004
$IPTABLES -t mangle -A POSTROUTING -o eth0 -p ! icmp -d 212.165.0.0/16 -d 192.168.1.86 -j MARK --set-mark 6004
$IPTABLES -t mangle -A POSTROUTING -o eth0 -p ! icmp -d 218.100.0.0/16 -d 192.168.1.86 -j MARK --set-mark 6004
$IPTABLES -t mangle -A POSTROUTING -o eth0 -p ! icmp -d 219.83.0.0/16 -d 192.168.1.86 -j MARK --set-mark 6004
$IPTABLES -t mangle -A POSTROUTING -o eth0 -p ! icmp -d 221.132.0.0/16 -d 192.168.1.86 -j MARK --set-mark 6004
$IPTABLES -t mangle -A POSTROUTING -o eth0 -p ! icmp -d 222.124.0.0/16 -d 192.168.1.86 -j MARK --set-mark 6004
$IPTABLES -t mangle -A POSTROUTING -o eth0 -p ! icmp -d 222.229.0.0/16 -d 192.168.1.86 -j MARK --set-mark 6004
# SMUN 61 Jakarta
$IPTABLES -t mangle -A POSTROUTING -o eth0 -p ! icmp -d 124.81.0.0/16 -d 192.168.1.56/29 -j MARK --set-mark 6005
$IPTABLES -t mangle -A POSTROUTING -o eth0 -p ! icmp -d 152.118.24.0/24 -d 192.168.1.56/29 -j MARK --set-mark 6005
$IPTABLES -t mangle -A POSTROUTING -o eth0 -p ! icmp -d 202.0.0.0/8 -d 192.168.1.56/29 -j MARK --set-mark 6005
$IPTABLES -t mangle -A POSTROUTING -o eth0 -p ! icmp -d 203.0.0.0/8 -d 192.168.1.56/29 -j MARK --set-mark 6005
$IPTABLES -t mangle -A POSTROUTING -o eth0 -p ! icmp -d 205.248.0.0/16 -d 192.168.1.56/29 -j MARK --set-mark 6005
$IPTABLES -t mangle -A POSTROUTING -o eth0 -p ! icmp -d 206.73.0.0/16 -d 192.168.1.56/29 -j MARK --set-mark 6005
$IPTABLES -t mangle -A POSTROUTING -o eth0 -p ! icmp -d 206.182.0.0/16 -d 192.168.1.56/29 -j MARK --set-mark 6005
$IPTABLES -t mangle -A POSTROUTING -o eth0 -p ! icmp -d 207.83.0.0/16 -d 192.168.1.56/29 -j MARK --set-mark 6005
$IPTABLES -t mangle -A POSTROUTING -o eth0 -p ! icmp -d 207.117.0.0/16 -d 192.168.1.56/29 -j MARK --set-mark 6005
$IPTABLES -t mangle -A POSTROUTING -o eth0 -p ! icmp -d 207.209.0.0/16 -d 192.168.1.56/29 -j MARK --set-mark 6005
$IPTABLES -t mangle -A POSTROUTING -o eth0 -p ! icmp -d 208.99.0.0/16 -d 192.168.1.56/29 -j MARK --set-mark 6005
$IPTABLES -t mangle -A POSTROUTING -o eth0 -p ! icmp -d 209.93.0.0/16 -d 192.168.1.56/29 -j MARK --set-mark 6005
$IPTABLES -t mangle -A POSTROUTING -o eth0 -p ! icmp -d 210.23.0.0/16 -d 192.168.1.56/29 -j MARK --set-mark 6005
$IPTABLES -t mangle -A POSTROUTING -o eth0 -p ! icmp -d 210.57.0.0/16 -d 192.168.1.56/29 -j MARK --set-mark 6005
$IPTABLES -t mangle -A POSTROUTING -o eth0 -p ! icmp -d 210.210.0.0/16 -d 192.168.1.56/29 -j MARK --set-mark 6005
$IPTABLES -t mangle -A POSTROUTING -o eth0 -p ! icmp -d 212.165.0.0/16 -d 192.168.1.56/29 -j MARK --set-mark 6005
$IPTABLES -t mangle -A POSTROUTING -o eth0 -p ! icmp -d 218.100.0.0/16 -d 192.168.1.56/29 -j MARK --set-mark 6005
$IPTABLES -t mangle -A POSTROUTING -o eth0 -p ! icmp -d 219.83.0.0/16 -d 192.168.1.56/29 -j MARK --set-mark 6005
$IPTABLES -t mangle -A POSTROUTING -o eth0 -p ! icmp -d 221.132.0.0/16 -d 192.168.1.56/29 -j MARK --set-mark 6005
$IPTABLES -t mangle -A POSTROUTING -o eth0 -p ! icmp -d 222.124.0.0/16 -d 192.168.1.56/29 -j MARK --set-mark 6005
$IPTABLES -t mangle -A POSTROUTING -o eth0 -p ! icmp -d 222.229.0.0/16 -d 192.168.1.56/29 -j MARK --set-mark 6005


# download

# Package International: Group A 128 1:8
# MARK: 101

# Pak Rusmanto
$IPTABLES -t mangle -A POSTROUTING -o eth1 -p ! icmp -d 192.168.1.72 -j MARK --set-mark 1001

# Pak I Made Wiryana
$IPTABLES -t mangle -A POSTROUTING -o eth1 -p ! icmp -d 192.168.1.78 -j MARK --set-mark 1002

# KPLI Bekasi
$IPTABLES -t mangle -A POSTROUTING -o eth1 -p ! icmp -d 192.168.1.48/29 -j MARK --set-mark 1006


# Package International: Group B 128 1:4
# MARK: 102

# Pak Onno W. Purbo
$IPTABLES -t mangle -A POSTROUTING -o eth1 -p ! icmp -d 192.168.1.84 -j MARK --set-mark 1003

# Pak RW 007
$IPTABLES -t mangle -A POSTROUTING -o eth1 -p ! icmp -d 192.168.1.86 -j MARK --set-mark 1004

# SMUN 61 Jakarta
$IPTABLES -t mangle -A POSTROUTING -o eth1 -p ! icmp -d 192.168.1.56/29 -j MARK --set-mark 1005


# Package IIX: Group A 128 1:8
# MARK: 601

# Pak Rusmanto
$IPTABLES -t mangle -A POSTROUTING -o eth1 -p ! icmp -s 124.81.0.0/16 -d 192.168.1.72 -j MARK --set-mark 6001
$IPTABLES -t mangle -A POSTROUTING -o eth1 -p ! icmp -s 152.118.24.0/24 -d 192.168.1.72 -j MARK --set-mark 6001
$IPTABLES -t mangle -A POSTROUTING -o eth1 -p ! icmp -s 202.0.0.0/8 -d 192.168.1.72 -j MARK --set-mark 6001
$IPTABLES -t mangle -A POSTROUTING -o eth1 -p ! icmp -s 203.0.0.0/8 -d 192.168.1.72 -j MARK --set-mark 6001
$IPTABLES -t mangle -A POSTROUTING -o eth1 -p ! icmp -s 205.248.0.0/16 -d 192.168.1.72 -j MARK --set-mark 6001
$IPTABLES -t mangle -A POSTROUTING -o eth1 -p ! icmp -s 206.73.0.0/16 -d 192.168.1.72 -j MARK --set-mark 6001
$IPTABLES -t mangle -A POSTROUTING -o eth1 -p ! icmp -s 206.182.0.0/16 -d 192.168.1.72 -j MARK --set-mark 6001
$IPTABLES -t mangle -A POSTROUTING -o eth1 -p ! icmp -s 207.83.0.0/16 -d 192.168.1.72 -j MARK --set-mark 6001
$IPTABLES -t mangle -A POSTROUTING -o eth1 -p ! icmp -s 207.117.0.0/16 -d 192.168.1.72 -j MARK --set-mark 6001
$IPTABLES -t mangle -A POSTROUTING -o eth1 -p ! icmp -s 207.209.0.0/16 -d 192.168.1.72 -j MARK --set-mark 6001
$IPTABLES -t mangle -A POSTROUTING -o eth1 -p ! icmp -s 208.99.0.0/16 -d 192.168.1.72 -j MARK --set-mark 6001
$IPTABLES -t mangle -A POSTROUTING -o eth1 -p ! icmp -s 209.93.0.0/16 -d 192.168.1.72 -j MARK --set-mark 6001
$IPTABLES -t mangle -A POSTROUTING -o eth1 -p ! icmp -s 210.23.0.0/16 -d 192.168.1.72 -j MARK --set-mark 6001
$IPTABLES -t mangle -A POSTROUTING -o eth1 -p ! icmp -s 210.57.0.0/16 -d 192.168.1.72 -j MARK --set-mark 6001
$IPTABLES -t mangle -A POSTROUTING -o eth1 -p ! icmp -s 210.210.0.0/16 -d 192.168.1.72 -j MARK --set-mark 6001
$IPTABLES -t mangle -A POSTROUTING -o eth1 -p ! icmp -s 212.165.0.0/16 -d 192.168.1.72 -j MARK --set-mark 6001
$IPTABLES -t mangle -A POSTROUTING -o eth1 -p ! icmp -s 218.100.0.0/16 -d 192.168.1.72 -j MARK --set-mark 6001
$IPTABLES -t mangle -A POSTROUTING -o eth1 -p ! icmp -s 219.83.0.0/16 -d 192.168.1.72 -j MARK --set-mark 6001
$IPTABLES -t mangle -A POSTROUTING -o eth1 -p ! icmp -s 221.132.0.0/16 -d 192.168.1.72 -j MARK --set-mark 6001
$IPTABLES -t mangle -A POSTROUTING -o eth1 -p ! icmp -s 222.124.0.0/16 -d 192.168.1.72 -j MARK --set-mark 6001
$IPTABLES -t mangle -A POSTROUTING -o eth1 -p ! icmp -s 222.229.0.0/16 -d 192.168.1.72 -j MARK --set-mark 6001
# Pak I Made Wiryana
$IPTABLES -t mangle -A POSTROUTING -o eth1 -p ! icmp -s 124.81.0.0/16 -d 192.168.1.78 -j MARK --set-mark 6002
$IPTABLES -t mangle -A POSTROUTING -o eth1 -p ! icmp -s 152.118.24.0/24 -d 192.168.1.78 -j MARK --set-mark 6002
$IPTABLES -t mangle -A POSTROUTING -o eth1 -p ! icmp -s 202.0.0.0/8 -d 192.168.1.78 -j MARK --set-mark 6002
$IPTABLES -t mangle -A POSTROUTING -o eth1 -p ! icmp -s 203.0.0.0/8 -d 192.168.1.78 -j MARK --set-mark 6002
$IPTABLES -t mangle -A POSTROUTING -o eth1 -p ! icmp -s 205.248.0.0/16 -d 192.168.1.78 -j MARK --set-mark 6002
$IPTABLES -t mangle -A POSTROUTING -o eth1 -p ! icmp -s 206.73.0.0/16 -d 192.168.1.78 -j MARK --set-mark 6002
$IPTABLES -t mangle -A POSTROUTING -o eth1 -p ! icmp -s 206.182.0.0/16 -d 192.168.1.78 -j MARK --set-mark 6002
$IPTABLES -t mangle -A POSTROUTING -o eth1 -p ! icmp -s 207.83.0.0/16 -d 192.168.1.78 -j MARK --set-mark 6002
$IPTABLES -t mangle -A POSTROUTING -o eth1 -p ! icmp -s 207.117.0.0/16 -d 192.168.1.78 -j MARK --set-mark 6002
$IPTABLES -t mangle -A POSTROUTING -o eth1 -p ! icmp -s 207.209.0.0/16 -d 192.168.1.78 -j MARK --set-mark 6002
$IPTABLES -t mangle -A POSTROUTING -o eth1 -p ! icmp -s 208.99.0.0/16 -d 192.168.1.78 -j MARK --set-mark 6002
$IPTABLES -t mangle -A POSTROUTING -o eth1 -p ! icmp -s 209.93.0.0/16 -d 192.168.1.78 -j MARK --set-mark 6002
$IPTABLES -t mangle -A POSTROUTING -o eth1 -p ! icmp -s 210.23.0.0/16 -d 192.168.1.78 -j MARK --set-mark 6002
$IPTABLES -t mangle -A POSTROUTING -o eth1 -p ! icmp -s 210.57.0.0/16 -d 192.168.1.78 -j MARK --set-mark 6002
$IPTABLES -t mangle -A POSTROUTING -o eth1 -p ! icmp -s 210.210.0.0/16 -d 192.168.1.78 -j MARK --set-mark 6002
$IPTABLES -t mangle -A POSTROUTING -o eth1 -p ! icmp -s 212.165.0.0/16 -d 192.168.1.78 -j MARK --set-mark 6002
$IPTABLES -t mangle -A POSTROUTING -o eth1 -p ! icmp -s 218.100.0.0/16 -d 192.168.1.78 -j MARK --set-mark 6002
$IPTABLES -t mangle -A POSTROUTING -o eth1 -p ! icmp -s 219.83.0.0/16 -d 192.168.1.78 -j MARK --set-mark 6002
$IPTABLES -t mangle -A POSTROUTING -o eth1 -p ! icmp -s 221.132.0.0/16 -d 192.168.1.78 -j MARK --set-mark 6002
$IPTABLES -t mangle -A POSTROUTING -o eth1 -p ! icmp -s 222.124.0.0/16 -d 192.168.1.78 -j MARK --set-mark 6002
$IPTABLES -t mangle -A POSTROUTING -o eth1 -p ! icmp -s 222.229.0.0/16 -d 192.168.1.78 -j MARK --set-mark 6002
# KPLI Bekasi
$IPTABLES -t mangle -A POSTROUTING -o eth1 -p ! icmp -s 124.81.0.0/16 -d 192.168.1.48/29 -j MARK --set-mark 6006
$IPTABLES -t mangle -A POSTROUTING -o eth1 -p ! icmp -s 152.118.24.0/24 -d 192.168.1.48/29 -j MARK --set-mark 6006
$IPTABLES -t mangle -A POSTROUTING -o eth1 -p ! icmp -s 202.0.0.0/8 -d 192.168.1.48/29 -j MARK --set-mark 6006
$IPTABLES -t mangle -A POSTROUTING -o eth1 -p ! icmp -s 203.0.0.0/8 -d 192.168.1.48/29 -j MARK --set-mark 6006
$IPTABLES -t mangle -A POSTROUTING -o eth1 -p ! icmp -s 205.248.0.0/16 -d 192.168.1.48/29 -j MARK --set-mark 6006
$IPTABLES -t mangle -A POSTROUTING -o eth1 -p ! icmp -s 206.73.0.0/16 -d 192.168.1.48/29 -j MARK --set-mark 6006
$IPTABLES -t mangle -A POSTROUTING -o eth1 -p ! icmp -s 206.182.0.0/16 -d 192.168.1.48/29 -j MARK --set-mark 6006
$IPTABLES -t mangle -A POSTROUTING -o eth1 -p ! icmp -s 207.83.0.0/16 -d 192.168.1.48/29 -j MARK --set-mark 6006
$IPTABLES -t mangle -A POSTROUTING -o eth1 -p ! icmp -s 207.117.0.0/16 -d 192.168.1.48/29 -j MARK --set-mark 6006
$IPTABLES -t mangle -A POSTROUTING -o eth1 -p ! icmp -s 207.209.0.0/16 -d 192.168.1.48/29 -j MARK --set-mark 6006
$IPTABLES -t mangle -A POSTROUTING -o eth1 -p ! icmp -s 208.99.0.0/16 -d 192.168.1.48/29 -j MARK --set-mark 6006
$IPTABLES -t mangle -A POSTROUTING -o eth1 -p ! icmp -s 209.93.0.0/16 -d 192.168.1.48/29 -j MARK --set-mark 6006
$IPTABLES -t mangle -A POSTROUTING -o eth1 -p ! icmp -s 210.23.0.0/16 -d 192.168.1.48/29 -j MARK --set-mark 6006
$IPTABLES -t mangle -A POSTROUTING -o eth1 -p ! icmp -s 210.57.0.0/16 -d 192.168.1.48/29 -j MARK --set-mark 6006
$IPTABLES -t mangle -A POSTROUTING -o eth1 -p ! icmp -s 210.210.0.0/16 -d 192.168.1.48/29 -j MARK --set-mark 6006
$IPTABLES -t mangle -A POSTROUTING -o eth1 -p ! icmp -s 212.165.0.0/16 -d 192.168.1.48/29 -j MARK --set-mark 6006
$IPTABLES -t mangle -A POSTROUTING -o eth1 -p ! icmp -s 218.100.0.0/16 -d 192.168.1.48/29 -j MARK --set-mark 6006
$IPTABLES -t mangle -A POSTROUTING -o eth1 -p ! icmp -s 219.83.0.0/16 -d 192.168.1.48/29 -j MARK --set-mark 6006
$IPTABLES -t mangle -A POSTROUTING -o eth1 -p ! icmp -s 221.132.0.0/16 -d 192.168.1.48/29 -j MARK --set-mark 6006
$IPTABLES -t mangle -A POSTROUTING -o eth1 -p ! icmp -s 222.124.0.0/16 -d 192.168.1.48/29 -j MARK --set-mark 6006
$IPTABLES -t mangle -A POSTROUTING -o eth1 -p ! icmp -s 222.229.0.0/16 -d 192.168.1.48/29 -j MARK --set-mark 6006

# Package IIX: Group B 128 1:4
# MARK: 602

# Pak Onno W. Purbo
$IPTABLES -t mangle -A POSTROUTING -o eth1 -p ! icmp -s 124.81.0.0/16 -d 192.168.1.84 -j MARK --set-mark 6003
$IPTABLES -t mangle -A POSTROUTING -o eth1 -p ! icmp -s 152.118.24.0/24 -d 192.168.1.84 -j MARK --set-mark 6003
$IPTABLES -t mangle -A POSTROUTING -o eth1 -p ! icmp -s 202.0.0.0/8 -d 192.168.1.84 -j MARK --set-mark 6003
$IPTABLES -t mangle -A POSTROUTING -o eth1 -p ! icmp -s 203.0.0.0/8 -d 192.168.1.84 -j MARK --set-mark 6003
$IPTABLES -t mangle -A POSTROUTING -o eth1 -p ! icmp -s 205.248.0.0/16 -d 192.168.1.84 -j MARK --set-mark 6003
$IPTABLES -t mangle -A POSTROUTING -o eth1 -p ! icmp -s 206.73.0.0/16 -d 192.168.1.84 -j MARK --set-mark 6003
$IPTABLES -t mangle -A POSTROUTING -o eth1 -p ! icmp -s 206.182.0.0/16 -d 192.168.1.84 -j MARK --set-mark 6003
$IPTABLES -t mangle -A POSTROUTING -o eth1 -p ! icmp -s 207.83.0.0/16 -d 192.168.1.84 -j MARK --set-mark 6003
$IPTABLES -t mangle -A POSTROUTING -o eth1 -p ! icmp -s 207.117.0.0/16 -d 192.168.1.84 -j MARK --set-mark 6003
$IPTABLES -t mangle -A POSTROUTING -o eth1 -p ! icmp -s 207.209.0.0/16 -d 192.168.1.84 -j MARK --set-mark 6003
$IPTABLES -t mangle -A POSTROUTING -o eth1 -p ! icmp -s 208.99.0.0/16 -d 192.168.1.84 -j MARK --set-mark 6003
$IPTABLES -t mangle -A POSTROUTING -o eth1 -p ! icmp -s 209.93.0.0/16 -d 192.168.1.84 -j MARK --set-mark 6003
$IPTABLES -t mangle -A POSTROUTING -o eth1 -p ! icmp -s 210.23.0.0/16 -d 192.168.1.84 -j MARK --set-mark 6003
$IPTABLES -t mangle -A POSTROUTING -o eth1 -p ! icmp -s 210.57.0.0/16 -d 192.168.1.84 -j MARK --set-mark 6003
$IPTABLES -t mangle -A POSTROUTING -o eth1 -p ! icmp -s 210.210.0.0/16 -d 192.168.1.84 -j MARK --set-mark 6003
$IPTABLES -t mangle -A POSTROUTING -o eth1 -p ! icmp -s 212.165.0.0/16 -d 192.168.1.84 -j MARK --set-mark 6003
$IPTABLES -t mangle -A POSTROUTING -o eth1 -p ! icmp -s 218.100.0.0/16 -d 192.168.1.84 -j MARK --set-mark 6003
$IPTABLES -t mangle -A POSTROUTING -o eth1 -p ! icmp -s 219.83.0.0/16 -d 192.168.1.84 -j MARK --set-mark 6003
$IPTABLES -t mangle -A POSTROUTING -o eth1 -p ! icmp -s 221.132.0.0/16 -d 192.168.1.84 -j MARK --set-mark 6003
$IPTABLES -t mangle -A POSTROUTING -o eth1 -p ! icmp -s 222.124.0.0/16 -d 192.168.1.84 -j MARK --set-mark 6003
$IPTABLES -t mangle -A POSTROUTING -o eth1 -p ! icmp -s 222.229.0.0/16 -d 192.168.1.84 -j MARK --set-mark 6003
# Pak RW 007
$IPTABLES -t mangle -A POSTROUTING -o eth1 -p ! icmp -s 124.81.0.0/16 -d 192.168.1.86 -j MARK --set-mark 6004
$IPTABLES -t mangle -A POSTROUTING -o eth1 -p ! icmp -s 152.118.24.0/24 -d 192.168.1.86 -j MARK --set-mark 6004
$IPTABLES -t mangle -A POSTROUTING -o eth1 -p ! icmp -s 202.0.0.0/8 -d 192.168.1.86 -j MARK --set-mark 6004
$IPTABLES -t mangle -A POSTROUTING -o eth1 -p ! icmp -s 203.0.0.0/8 -d 192.168.1.86 -j MARK --set-mark 6004
$IPTABLES -t mangle -A POSTROUTING -o eth1 -p ! icmp -s 205.248.0.0/16 -d 192.168.1.86 -j MARK --set-mark 6004
$IPTABLES -t mangle -A POSTROUTING -o eth1 -p ! icmp -s 206.73.0.0/16 -d 192.168.1.86 -j MARK --set-mark 6004
$IPTABLES -t mangle -A POSTROUTING -o eth1 -p ! icmp -s 206.182.0.0/16 -d 192.168.1.86 -j MARK --set-mark 6004
$IPTABLES -t mangle -A POSTROUTING -o eth1 -p ! icmp -s 207.83.0.0/16 -d 192.168.1.86 -j MARK --set-mark 6004
$IPTABLES -t mangle -A POSTROUTING -o eth1 -p ! icmp -s 207.117.0.0/16 -d 192.168.1.86 -j MARK --set-mark 6004
$IPTABLES -t mangle -A POSTROUTING -o eth1 -p ! icmp -s 207.209.0.0/16 -d 192.168.1.86 -j MARK --set-mark 6004
$IPTABLES -t mangle -A POSTROUTING -o eth1 -p ! icmp -s 208.99.0.0/16 -d 192.168.1.86 -j MARK --set-mark 6004
$IPTABLES -t mangle -A POSTROUTING -o eth1 -p ! icmp -s 209.93.0.0/16 -d 192.168.1.86 -j MARK --set-mark 6004
$IPTABLES -t mangle -A POSTROUTING -o eth1 -p ! icmp -s 210.23.0.0/16 -d 192.168.1.86 -j MARK --set-mark 6004
$IPTABLES -t mangle -A POSTROUTING -o eth1 -p ! icmp -s 210.57.0.0/16 -d 192.168.1.86 -j MARK --set-mark 6004
$IPTABLES -t mangle -A POSTROUTING -o eth1 -p ! icmp -s 210.210.0.0/16 -d 192.168.1.86 -j MARK --set-mark 6004
$IPTABLES -t mangle -A POSTROUTING -o eth1 -p ! icmp -s 212.165.0.0/16 -d 192.168.1.86 -j MARK --set-mark 6004
$IPTABLES -t mangle -A POSTROUTING -o eth1 -p ! icmp -s 218.100.0.0/16 -d 192.168.1.86 -j MARK --set-mark 6004
$IPTABLES -t mangle -A POSTROUTING -o eth1 -p ! icmp -s 219.83.0.0/16 -d 192.168.1.86 -j MARK --set-mark 6004
$IPTABLES -t mangle -A POSTROUTING -o eth1 -p ! icmp -s 221.132.0.0/16 -d 192.168.1.86 -j MARK --set-mark 6004
$IPTABLES -t mangle -A POSTROUTING -o eth1 -p ! icmp -s 222.124.0.0/16 -d 192.168.1.86 -j MARK --set-mark 6004
$IPTABLES -t mangle -A POSTROUTING -o eth1 -p ! icmp -s 222.229.0.0/16 -d 192.168.1.86 -j MARK --set-mark 6004
# SMUN 61 Jakarta
$IPTABLES -t mangle -A POSTROUTING -o eth1 -p ! icmp -s 124.81.0.0/16 -d 192.168.1.56/29 -j MARK --set-mark 6005
$IPTABLES -t mangle -A POSTROUTING -o eth1 -p ! icmp -s 152.118.24.0/24 -d 192.168.1.56/29 -j MARK --set-mark 6005
$IPTABLES -t mangle -A POSTROUTING -o eth1 -p ! icmp -s 202.0.0.0/8 -d 192.168.1.56/29 -j MARK --set-mark 6005
$IPTABLES -t mangle -A POSTROUTING -o eth1 -p ! icmp -s 203.0.0.0/8 -d 192.168.1.56/29 -j MARK --set-mark 6005
$IPTABLES -t mangle -A POSTROUTING -o eth1 -p ! icmp -s 205.248.0.0/16 -d 192.168.1.56/29 -j MARK --set-mark 6005
$IPTABLES -t mangle -A POSTROUTING -o eth1 -p ! icmp -s 206.73.0.0/16 -d 192.168.1.56/29 -j MARK --set-mark 6005
$IPTABLES -t mangle -A POSTROUTING -o eth1 -p ! icmp -s 206.182.0.0/16 -d 192.168.1.56/29 -j MARK --set-mark 6005
$IPTABLES -t mangle -A POSTROUTING -o eth1 -p ! icmp -s 207.83.0.0/16 -d 192.168.1.56/29 -j MARK --set-mark 6005
$IPTABLES -t mangle -A POSTROUTING -o eth1 -p ! icmp -s 207.117.0.0/16 -d 192.168.1.56/29 -j MARK --set-mark 6005
$IPTABLES -t mangle -A POSTROUTING -o eth1 -p ! icmp -s 207.209.0.0/16 -d 192.168.1.56/29 -j MARK --set-mark 6005
$IPTABLES -t mangle -A POSTROUTING -o eth1 -p ! icmp -s 208.99.0.0/16 -d 192.168.1.56/29 -j MARK --set-mark 6005
$IPTABLES -t mangle -A POSTROUTING -o eth1 -p ! icmp -s 209.93.0.0/16 -d 192.168.1.56/29 -j MARK --set-mark 6005
$IPTABLES -t mangle -A POSTROUTING -o eth1 -p ! icmp -s 210.23.0.0/16 -d 192.168.1.56/29 -j MARK --set-mark 6005
$IPTABLES -t mangle -A POSTROUTING -o eth1 -p ! icmp -s 210.57.0.0/16 -d 192.168.1.56/29 -j MARK --set-mark 6005
$IPTABLES -t mangle -A POSTROUTING -o eth1 -p ! icmp -s 210.210.0.0/16 -d 192.168.1.56/29 -j MARK --set-mark 6005
$IPTABLES -t mangle -A POSTROUTING -o eth1 -p ! icmp -s 212.165.0.0/16 -d 192.168.1.56/29 -j MARK --set-mark 6005
$IPTABLES -t mangle -A POSTROUTING -o eth1 -p ! icmp -s 218.100.0.0/16 -d 192.168.1.56/29 -j MARK --set-mark 6005
$IPTABLES -t mangle -A POSTROUTING -o eth1 -p ! icmp -s 219.83.0.0/16 -d 192.168.1.56/29 -j MARK --set-mark 6005
$IPTABLES -t mangle -A POSTROUTING -o eth1 -p ! icmp -s 221.132.0.0/16 -d 192.168.1.56/29 -j MARK --set-mark 6005
$IPTABLES -t mangle -A POSTROUTING -o eth1 -p ! icmp -s 222.124.0.0/16 -d 192.168.1.56/29 -j MARK --set-mark 6005
$IPTABLES -t mangle -A POSTROUTING -o eth1 -p ! icmp -s 222.229.0.0/16 -d 192.168.1.56/29 -j MARK --set-mark 6005


# filter

# Group A 128 1:8

# Pak Rusmanto
$IPTABLES -t filter -A INPUT -i eth1 -s 192.168.1.72 -j ACCEPT
$IPTABLES -t filter -A FORWARD -i eth1 -s 192.168.1.72 -j ACCEPT

# Pak I Made Wiryana
$IPTABLES -t filter -A INPUT -i eth1 -s 192.168.1.78 -j ACCEPT
$IPTABLES -t filter -A FORWARD -i eth1 -s 192.168.1.78 -j ACCEPT

# KPLI Bekasi
$IPTABLES -t filter -A INPUT -i eth1 -s 192.168.1.48/29 -j ACCEPT
$IPTABLES -t filter -A FORWARD -i eth1 -s 192.168.1.48/29 -j ACCEPT


# Group B 128 1:4

# Pak Onno W. Purbo
$IPTABLES -t filter -A INPUT -i eth1 -s 192.168.1.84 -j ACCEPT
$IPTABLES -t filter -A FORWARD -i eth1 -s 192.168.1.84 -j ACCEPT

# Pak RW 007 (dropped)
#$IPTABLES -t filter -A INPUT -i eth1 -s 192.168.1.86 -j ACCEPT
#$IPTABLES -t filter -A FORWARD -i eth1 -s 192.168.1.86 -j ACCEPT

# SMUN 61 Jakarta
$IPTABLES -t filter -A INPUT -i eth1 -s 192.168.1.56/29 -j ACCEPT
$IPTABLES -t filter -A FORWARD -i eth1 -s 192.168.1.56/29 -j ACCEPT


# drop the rest
# $IPTABLES -t filter -A INPUT -i eth1 -j DROP
$IPTABLES -t filter -A FORWARD -i eth1 -j DROP



# control

# This file contains manual or your own rules, edited by hand not auto-generated

# Rules on this file usually written to bypass previous rules (auto-generated rules)
# including firewall and masquerading rules

# for examples, rules below are bypassing bandwidth management for certain port
# mark 29 is a trash allocation (read ini init.php)
# connections to useless ports below will be very slow

# Q: Is this the right way to limit P2P ?
# A: I'm sure this is not the right way, but still I'm not sure if this is not working

# Windows Friends
$IPTABLES -t mangle -A POSTROUTING -p tcp -m tcp --dport 135 -j MARK --set-mark 29 
$IPTABLES -t mangle -A POSTROUTING -p udp -m udp --dport 135 -j MARK --set-mark 29 
$IPTABLES -t mangle -A POSTROUTING -p tcp -m tcp --dport 137 -j MARK --set-mark 29 
$IPTABLES -t mangle -A POSTROUTING -p udp -m udp --dport 137 -j MARK --set-mark 29 
$IPTABLES -t mangle -A POSTROUTING -p tcp -m tcp --dport 138 -j MARK --set-mark 29 
$IPTABLES -t mangle -A POSTROUTING -p udp -m udp --dport 138 -j MARK --set-mark 29 
$IPTABLES -t mangle -A POSTROUTING -p tcp -m tcp --dport 139 -j MARK --set-mark 29 
$IPTABLES -t mangle -A POSTROUTING -p udp -m udp --dport 139 -j MARK --set-mark 29 
$IPTABLES -t mangle -A POSTROUTING -p tcp -m tcp --dport 445 -j MARK --set-mark 29 
$IPTABLES -t mangle -A POSTROUTING -p udp -m udp --dport 445 -j MARK --set-mark 29 
$IPTABLES -t mangle -A POSTROUTING -p tcp -m tcp --dport 568 -j MARK --set-mark 29 
$IPTABLES -t mangle -A POSTROUTING -p udp -m udp --dport 568 -j MARK --set-mark 29 
$IPTABLES -t mangle -A POSTROUTING -p tcp -m tcp --dport 569 -j MARK --set-mark 29 
$IPTABLES -t mangle -A POSTROUTING -p udp -m udp --dport 569 -j MARK --set-mark 29 
$IPTABLES -t mangle -A POSTROUTING -p tcp -m tcp --dport 2132 -j MARK --set-mark 29 
$IPTABLES -t mangle -A POSTROUTING -p udp -m udp --dport 2132 -j MARK --set-mark 29 

# Kazza
$IPTABLES -t mangle -A POSTROUTING -p tcp -m tcp --dport 1214 -j MARK --set-mark 29 
$IPTABLES -t mangle -A POSTROUTING -p udp -m udp --dport 1214 -j MARK --set-mark 29 
$IPTABLES -t mangle -A POSTROUTING -p tcp -m tcp --dport 1285 -j MARK --set-mark 29 
$IPTABLES -t mangle -A POSTROUTING -p udp -m udp --dport 1285 -j MARK --set-mark 29 
$IPTABLES -t mangle -A POSTROUTING -p tcp -m tcp --dport 1299 -j MARK --set-mark 29 
$IPTABLES -t mangle -A POSTROUTING -p udp -m udp --dport 1299 -j MARK --set-mark 29 
$IPTABLES -t mangle -A POSTROUTING -p tcp -m tcp --dport 1331 -j MARK --set-mark 29 
$IPTABLES -t mangle -A POSTROUTING -p udp -m udp --dport 1331 -j MARK --set-mark 29 
$IPTABLES -t mangle -A POSTROUTING -p tcp -m tcp --dport 1337 -j MARK --set-mark 29 
$IPTABLES -t mangle -A POSTROUTING -p udp -m udp --dport 1337 -j MARK --set-mark 29 
$IPTABLES -t mangle -A POSTROUTING -p tcp -m tcp --dport 3135 -j MARK --set-mark 29 
$IPTABLES -t mangle -A POSTROUTING -p udp -m udp --dport 3135 -j MARK --set-mark 29 
$IPTABLES -t mangle -A POSTROUTING -p tcp -m tcp --dport 3136 -j MARK --set-mark 29 
$IPTABLES -t mangle -A POSTROUTING -p udp -m udp --dport 3136 -j MARK --set-mark 29 
$IPTABLES -t mangle -A POSTROUTING -p tcp -m tcp --dport 3137 -j MARK --set-mark 29 
$IPTABLES -t mangle -A POSTROUTING -p udp -m udp --dport 3137 -j MARK --set-mark 29 

# hotline
$IPTABLES -t mangle -A POSTROUTING -p tcp -m tcp --dport 1234 -j MARK --set-mark 29 
$IPTABLES -t mangle -A POSTROUTING -p udp -m udp --dport 1234 -j MARK --set-mark 29 

# waste
$IPTABLES -t mangle -A POSTROUTING -p tcp -m tcp --dport 1337 -j MARK --set-mark 29 
$IPTABLES -t mangle -A POSTROUTING -p udp -m udp --dport 1337 -j MARK --set-mark 29 
$IPTABLES -t mangle -A POSTROUTING -p tcp -m tcp --dport 3531 -j MARK --set-mark 29 
$IPTABLES -t mangle -A POSTROUTING -p udp -m udp --dport 3531 -j MARK --set-mark 29 

# eDonkey
$IPTABLES -t mangle -A POSTROUTING -p tcp -m tcp --dport 4662 -j MARK --set-mark 29 
$IPTABLES -t mangle -A POSTROUTING -p udp -m udp --dport 4662 -j MARK --set-mark 29 

# Gnutella
$IPTABLES -t mangle -A POSTROUTING -p tcp -m tcp --dport 6346 -j MARK --set-mark 29 
$IPTABLES -t mangle -A POSTROUTING -p udp -m udp --dport 6346 -j MARK --set-mark 29 
$IPTABLES -t mangle -A POSTROUTING -p tcp -m tcp --dport 6347 -j MARK --set-mark 29 
$IPTABLES -t mangle -A POSTROUTING -p udp -m udp --dport 6347 -j MARK --set-mark 29 
$IPTABLES -t mangle -A POSTROUTING -p tcp -m tcp --dport 6348 -j MARK --set-mark 29 
$IPTABLES -t mangle -A POSTROUTING -p udp -m udp --dport 6348 -j MARK --set-mark 29 
$IPTABLES -t mangle -A POSTROUTING -p tcp -m tcp --dport 6349 -j MARK --set-mark 29 
$IPTABLES -t mangle -A POSTROUTING -p udp -m udp --dport 6349 -j MARK --set-mark 29 
$IPTABLES -t mangle -A POSTROUTING -p tcp -m tcp --dport 6350 -j MARK --set-mark 29 
$IPTABLES -t mangle -A POSTROUTING -p udp -m udp --dport 6350 -j MARK --set-mark 29 

# napster
$IPTABLES -t mangle -A POSTROUTING -p tcp -m tcp --dport 6699 -j MARK --set-mark 29 
$IPTABLES -t mangle -A POSTROUTING -p udp -m udp --dport 6699 -j MARK --set-mark 29 
$IPTABLES -t mangle -A POSTROUTING -p tcp -m tcp --dport 8875 -j MARK --set-mark 29 
$IPTABLES -t mangle -A POSTROUTING -p udp -m udp --dport 8875 -j MARK --set-mark 29 
$IPTABLES -t mangle -A POSTROUTING -p tcp -m tcp --dport 8876 -j MARK --set-mark 29 
$IPTABLES -t mangle -A POSTROUTING -p udp -m udp --dport 8876 -j MARK --set-mark 29 
$IPTABLES -t mangle -A POSTROUTING -p tcp -m tcp --dport 8888 -j MARK --set-mark 29 
$IPTABLES -t mangle -A POSTROUTING -p udp -m udp --dport 8888 -j MARK --set-mark 29 

# WinMX
$IPTABLES -t mangle -A POSTROUTING -p tcp -m tcp --dport 6257 -j MARK --set-mark 29 
$IPTABLES -t mangle -A POSTROUTING -p udp -m udp --dport 6257 -j MARK --set-mark 29


# Loop control
echo -n 0 > /home/anton/public_html/banjar/netfilter.flag

fi
